Devuan bug report logs - #344
broken language files

Package: consolekit; Maintainer for consolekit is Devuan Developers <devuan-dev@lists.dyne.org>; Source for consolekit is src:consolekit2.

Reported by: "Ralph Ronnquist (rrq)" <ralph.ronnquist@gmail.com>

Date: Fri, 9 Aug 2019 23:48:01 UTC

Severity: normal

Done: Mark Hindley <mark@hindley.org.uk>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: "Ralph Ronnquist (rrq)" <ralph.ronnquist@gmail.com>
Subject: bug#344 closed by Mark Hindley <mark@hindley.org.uk> (Re: broken
 language files)
Message-ID: <handler.344.D344.15790278068113.notifdone@bugs.devuan.org>
References: <20200114183927.GA18953@hindley.org.uk>
 <a7528008-8b5f-6625-7f88-d37b15784f78@gmail.com>
X-Devuan-PR-Message: they-closed 344
X-Devuan-PR-Package: consolekit
Reply-To: 344@bugs.devuan.org
Date: Tue, 14 Jan 2020 19:03:11 +0000
Content-Type: multipart/mixed; boundary="----------=_1579028591-8181-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the consolekit package:

#344: broken language files

It has been closed by Mark Hindley <mark@hindley.org.uk>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mark Hindley <mark@hindley.org.uk> by
replying to this email.


-- 
344: bugs.devuan.org//cgi/bugreport.cgi?bug=344
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mark Hindley <mark@hindley.org.uk>
To: 344-done@bugs.devuan.org
Subject: Re: broken language files
Date: Tue, 14 Jan 2020 18:39:27 +0000
Fixed in 1.2.1-7

Closing.

Mark
[Message part 3 (message/rfc822, inline)]
From: "Ralph Ronnquist (rrq)" <ralph.ronnquist@gmail.com>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: broken language files
Date: Sat, 10 Aug 2019 09:38:31 +1000
Package: consolekit
Version: 1.2.1-4

The translation sources bg.po, es.po, es_419.po and ru.po have bad
formats and end up leaving *.gmo directories in /usr/share/locale/ that
then upsets grub-install.

The cause could possibly be spurious line-break in the initial "header"
section of the files. The following would be a correcting path for that:

--------------------------------
diff --git a/po/bg.po b/po/bg.po
index 44d584c..ef7026c 100644
--- a/po/bg.po
+++ b/po/bg.po
@@ -11,8 +11,7 @@ msgstr ""
 "POT-Creation-Date: 2017-12-13 15:40+0300\n"
 "PO-Revision-Date: 2017-09-22 11:45+0000\n"
 "Last-Translator: Eric Koegel <eric.koegel@gmail.com>\n"
-"Language-Team: Bulgarian
(http://www.transifex.com/consolekit2/consolekit2/"
-"language/bg/)\n"
+"Language-Team: Bulgarian
(http://www.transifex.com/consolekit2/consolekit2/language/bg/)\n"
 "Language: bg\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff --git a/po/es.po b/po/es.po
index ca582ac..10cb627 100644
--- a/po/es.po
+++ b/po/es.po
@@ -13,8 +13,7 @@ msgstr ""
 "POT-Creation-Date: 2017-12-13 15:40+0300\n"
 "PO-Revision-Date: 2017-10-14 23:06+0000\n"
 "Last-Translator: Joel Barrios <darkshram@gmail.com>\n"
-"Language-Team: Spanish (http://www.transifex.com/consolekit2/consolekit2/"
-"language/es/)\n"
+"Language-Team: Spanish
(http://www.transifex.com/consolekit2/consolekit2/language/es/)\n"
 "Language: es\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff --git a/po/es_419.po b/po/es_419.po
index a0195f1..9ef69a8 100644
--- a/po/es_419.po
+++ b/po/es_419.po
@@ -11,8 +11,7 @@ msgstr ""
 "POT-Creation-Date: 2017-12-13 15:40+0300\n"
 "PO-Revision-Date: 2017-09-21 23:25+0000\n"
 "Last-Translator: Eric Koegel <eric.koegel@gmail.com>\n"
-"Language-Team: Spanish (Latin America)
(http://www.transifex.com/consolekit2/"
-"consolekit2/language/es_419/)\n"
+"Language-Team: Spanish (Latin America)
(http://www.transifex.com/consolekit2/consolekit2/language/es_419/)\n"
 "Language: es_419\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff --git a/po/ru.po b/po/ru.po
index 777207c..7e8dabf 100644
--- a/po/ru.po
+++ b/po/ru.po
@@ -12,8 +12,7 @@ msgstr ""
 "POT-Creation-Date: 2017-12-13 15:40+0300\n"
 "PO-Revision-Date: 2017-09-22 00:17+0000\n"
 "Last-Translator: Дмитрий Михирев\n"
-"Language-Team: Russian (http://www.transifex.com/consolekit2/consolekit2/"
-"language/ru/)\n"
+"Language-Team: Russian
(http://www.transifex.com/consolekit2/consolekit2/language/ru/)\n"
 "Language: ru\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
--------------------------------

Ralph

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Oct 7 20:35:27 2022;